threadpool | Overview | Reference | Tutorial | Examples | Design

Reference | Class List | Member Functions | Typedefs | File List

Public Types | Public Member Functions
boost::threadpool::future< Result > Class Template Reference

List of all members.

## Public Types
typedef Result | future_result_type
typedef Result const & | result_type
## Public Member Functions
bool | cancel ()
| future ()
| future (shared_ptr< detail::future_impl< Result > > const &impl)
result_type | get ()
bool | is_cancelled () const
result_type | operator() ()
bool | ready () const
bool | timed_wait (boost::xtime const &timestamp) const
void | wait () const

## Detailed Description

### template<class Result>
class boost::threadpool::future< Result >

Experimental. Do not use in production code. TODO.

TODO Future

See also:
  TODO

Definition at line 43 of file future.hpp.

## Member Typedef Documentation

template<class Result>

typedef Result boost::threadpool::future< Result >::future_result_type

Indicates the future's result type.

Definition at line 50 of file future.hpp.

template<class Result>

typedef Result const& boost::threadpool::future< Result >::result_type

Indicates the functor's result type.

Definition at line 49 of file future.hpp.

## Constructor & Destructor Documentation

template<class Result>

boost::threadpool::future< Result >::future | ( |  | ) |

Definition at line 55 of file future.hpp.

template<class Result>

boost::threadpool::future< Result >::future | ( | shared_ptr< detail::future_impl< Result > > const & | impl | ) |

Definition at line 61 of file future.hpp.

## Member Function Documentation

template<class Result>

bool boost::threadpool::future< Result >::cancel | ( |  | ) |

Definition at line 91 of file future.hpp.

template<class Result>

result_type boost::threadpool::future< Result >::get | ( |  | ) |

Definition at line 86 of file future.hpp.

template<class Result>

bool boost::threadpool::future< Result >::is_cancelled | ( |  | ) | const

Definition at line 96 of file future.hpp.

template<class Result>

result_type boost::threadpool::future< Result >::operator() | ( | void |  | ) |

Definition at line 81 of file future.hpp.

template<class Result>

bool boost::threadpool::future< Result >::ready | ( |  | ) | const

Definition at line 66 of file future.hpp.

template<class Result>

bool boost::threadpool::future< Result >::timed_wait | ( | boost::xtime const & | timestamp | ) | const

Definition at line 76 of file future.hpp.

template<class Result>

void boost::threadpool::future< Result >::wait | ( |  | ) | const

Definition at line 71 of file future.hpp.

Copyright © 2005-2008 Philipp Henkel | Overview | Reference | Tutorial | Examples | Design